/**Begin D:\PDM_UPGRADE\PDM1\BEI_table.sql **/
 EXEC p_AlterColumn 'T_BEI_ELECSTATEMENT_ENTRY', 'FDEBITAMOUNT', 'DECIMAL(19,6)', 'NULL', '0011', 'NULL';

 EXEC p_AlterColumn 'T_BEI_ELECSTATEMENT_ENTRY', 'FCREDITAMOUNT', 'DECIMAL(19,6)', 'NULL', '0011', 'NULL';

 EXEC p_AlterColumn 'T_BEI_ELECSTATEMENT_ENTRY', 'FACCTAMOUNT', 'DECIMAL(19,6)', 'NULL', '0011', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BEI_ELECSTATEMENT_ENTRY' AND KSQL_COL_NAME IN ('FCURRENCYID'))
 ALTER TABLE T_BEI_ELECSTATEMENT_ENTRY ADD (FCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BEI_ELECSTATEMENT_ENTRY' AND KSQL_COL_NAME IN ('FACCOUNTBANKID'))
 ALTER TABLE T_BEI_ELECSTATEMENT_ENTRY ADD (FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BEI_ELECSTATEMENT_ENTRY' AND KSQL_COL_NAME IN ('FCREDITMARK'))
 ALTER TABLE T_BEI_ELECSTATEMENT_ENTRY ADD (FCREDITMARK NVARCHAR(30) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_BEI_ELECSTATEMENT', 'FENDRETAINAMOUNT', 'DECIMAL(19,6)', 'NULL', '0011', 'NULL';

 EXEC p_AlterColumn 'T_BEI_ELECSTATEMENT', 'FENDFREEZEAMOUNT', 'DECIMAL(19,6)', 'NULL', '0011', 'NULL';

 EXEC p_AlterColumn 'T_BEI_ELECSTATEMENT', 'FENDOVERDRAFTAMOUNT', 'DECIMAL(19,6)', 'NULL', '0011', 'NULL';

 EXEC p_AlterColumn 'T_BEI_ELECSTATEMENT', 'FENDACCTAMOUNT', 'DECIMAL(19,6)', 'NULL', '0011', 'NULL';

 EXEC p_AlterColumn 'T_BEI_ELECSTATEMENT', 'FENDAVAILABLEAMOUNT', 'DECIMAL(19,6)', 'NULL', '0011', 'NULL';


/**End D:\PDM_UPGRADE\PDM1\BEI_table.sql **/
